SoListener(3)

NAME
SoListener - The SoListener class defines listener attributes used when rendering sound.

SYNOPSIS

#include <Inventor/nodes/SoListener.h>

Inherits SoNode.

  Public Member Functions
virtual SoType getTypeId (void) const
SoListener ()

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass ()
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoSFVec3f position
SoSFRotation orientation
SoSFFloat gain
SoSFVec3f dopplerVelocity
SoSFFloat dopplerFactor

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual void audioRender (class SoAudioRenderAction *action)
virtual ~SoListener ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoListener class defines listener attributes used when rendering sound. When rendering geometry, one needs to have a camera defining certain attributes related to viewing. The SoListener plays a similar role when it comes to rendering audio.

If no SoListener has been encountered when a SoVRMLSound node renders itself, it will use the position and the orientation of the current camera. In this case, a gain of 1, a dopplerVelocity of 0 and a dopplerFactor of 0 will be assumed.

Coin does not currently support Doppler effects, so the dopplerVelocity and dopplerFactor fields are currently ignored.

FILE FORMAT/DEFAULTS:

Listener {
    position 0 0 0
    orientation 0 0 1  0
    dopplerVelocity 0 0 0
    dopplerFactor 0
    gain 1
}

See also
    SoVRMLSound

Constructor & Destructor Documentation

  SoListener::SoListener ()
Constructor.

  SoListener::~SoListener () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoListener::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoListener::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoListener::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoListener::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

  void SoListener::audioRender (class SoAudioRenderAction * action) [protected], [virtual]
Action method for SoAudioRenderAction.

Does common processing for SoAudioRenderAction action instances.

Reimplemented from SoNode.

Member Data Documentation

  SoSFVec3f SoListener::position
Listener position. Defaults to (0.0f, 0.0f, 0.0f).

  SoSFVec3f SoListener::orientation
Listener orientation specified as a rotation value from the default orientation where the listener is looking pointing along the negative Z-axis, with 'up' along the positive Y-axis. Defaults to SbRotation(SbVec3f(0.0f, 0.0f, 1.0f), 0.0f).

  SoSFVec3f SoListener::gain
The gain is a scalar amplitude multiplier that attenuates all sounds in the scene. The legal range is [0.0f, any), however a gain value > 1.0f might be clamped to 1.0f by the audio device. Defaults to 1.0f, meaning that the sound is unattenuated. A gain value of 0.5f would be equivalent to a 6dB attenuation. If gain is set to 0.0f, no sound can be heard.

  SoSFVec3f SoListener::dopplerVelocity
The Doppler velocity of the sound. It is the application programmer's responsibility to set this value. Coin does not update this value automatically based on changes in a sound's position. The default value is (0.0f, 0.0f, 0.0f).

Coin does not yet support Doppler effects.

  SoSFFloat SoListener::dopplerFactor
The amount of Doppler effect applied to the sound. The legal range is [0.0f, any>, where 0.0f is default and disable all Doppler effects, 1.0f would be a typical value for this field if Doppler effects are required.

Coin does not yet support Doppler effects.

Author

Generated automatically by Doxygen for Coin from the source code.